/* 
 * @Program that Locates a Node by Using Siblings
 * UsingSibling.java 
 * Author:-RoseIndia Team
 * Date:-09-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class UsingSibling {

    public static void main(String[] args) throws Exception {
        boolean validating = false;
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        factory.setValidating(validating);

        Document doc = factory.newDocumentBuilder().parse(new File("Document4.xml"));
        new UsingSibling().LocatingUsingSibling(doc);

    }

    public void LocatingUsingSibling(Document doc) {

        Element root = doc.getDocumentElement();
        //returns the first child of the Root
        Node child = root.getFirstChild();

        System.out.println("First child of the root is: " + child.getNodeName());

        Node subchild = child.getFirstChild();
        System.out.println("Subchild child of the Location is: " + subchild.getNodeName());

        //Returns the node immediately following this node.
        System.out.println("Node immediately following Location is :" +
                subchild.getNextSibling().getNodeName());
    }
}

